Subject: Re: [PATCH v1 00/13] KVM: arm64: Refactor user_mem_abort() into a state-object model

From: Marc Zyngier <[email-masked]>
Date: Mon, 16 Mar 2026 18:13:03 +0000

On Fri, 06 Mar 2026 15:44:44 +0000,
Fuad Tabba <[email-masked]> wrote:
> 
> I have to admit, breaking this down into pieces and seeing how much
> tidier and easier to understand it became felt oddly satisfying.

I can only agree.

Having played with this for a few days, I came up with a set of
additional changes that get rid of this kvm_s2_fault entirely, and
sandbox the state in funny ways.

You'll find the result in your inbox...

Thanks,

	M.

-- 
Without deviation from the norm, progress is not possible.